# This file was created automatically by SWIG 1.3.29.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _bt848
import new
new_instancemethod = new.instancemethod
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "thisown"): return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'PySwigObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    if (name == "thisown"): return self.this.own()
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

def _swig_repr(self):
    try: strthis = "proxy of " + self.this.__repr__()
    except: strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


MODULE_AUTHOR = _bt848.MODULE_AUTHOR
MODULE_AUTHOR_EMAIL = _bt848.MODULE_AUTHOR_EMAIL
MODULE_COPYRIGHT = _bt848.MODULE_COPYRIGHT
MODULE_LICENSE = _bt848.MODULE_LICENSE
FREQFACTOR = _bt848.FREQFACTOR
HUEVAL = _bt848.HUEVAL
MINFREQ = _bt848.MINFREQ
MAXFREQ = _bt848.MAXFREQ
MINPERC = _bt848.MINPERC
MAXPERC = _bt848.MAXPERC
TUNERDEV = _bt848.TUNERDEV

def tuner_videosource_set(*args):
  """
    tuner_videosource_set(int videosource) -> int

    Set videosource, 0 to 4 (DEV0-3 and SVID). Returns -1 on failure.
    """
  return _bt848.tuner_videosource_set(*args)

def tuner_videosource(*args):
  """
    tuner_videosource() -> int

    Get videosource. Returns one of 0 to 4, or -1 on failure.
    """
  return _bt848.tuner_videosource(*args)

def tuner_tunerdev(*args):
  """
    tuner_tunerdev() -> int

    Find tuner device. Returns one of 0 to 4, -1 on failure.
    """
  return _bt848.tuner_tunerdev(*args)

def tuner_frequency_set(*args):
  """
    tuner_frequency_set(int frequency) -> int

    Set frequency in MHz, 0 to 900 (MAXFREQ). Returns -1 on failure.
    """
  return _bt848.tuner_frequency_set(*args)

def tuner_frequency(*args):
  """
    tuner_frequency() -> int

    Get frequency. Returns frequency in MHz, or -1 on failure
    """
  return _bt848.tuner_frequency(*args)

def tuner_audiosource_set(*args):
  """
    tuner_audiosource_set(int audiosource) -> int

    Set audiosource, 0 (tuner), 1 (ext), 2 (int), 0x80 (mute), 0x81
    (unmute). Returns -1 on failure.
    """
  return _bt848.tuner_audiosource_set(*args)

def tuner_audiosource(*args):
  """
    tuner_audiosource() -> int

    Get audiosource. Returns 0 to 2, 0x80 or 0x81, or -1 on failure.
    """
  return _bt848.tuner_audiosource(*args)

def tuner_afc_set(*args):
  """
    tuner_afc_set(int afcbool) -> int

    Set AFC, 0 (off) or 1 (on). Returns -1 on failure.
    """
  return _bt848.tuner_afc_set(*args)

def tuner_afc(*args):
  """
    tuner_afc() -> int

    Get AFC. Returns 0 or 1, or -1 on failure.
    """
  return _bt848.tuner_afc(*args)

def tuner_brightness_set(*args):
  """
    tuner_brightness_set(int brightness) -> int

    Set brightness, 0 to 100. Returns -1 on failure.
    """
  return _bt848.tuner_brightness_set(*args)

def tuner_brightness(*args):
  """
    tuner_brightness() -> int

    Get brightness. Returns percentage, or -1 on failure.
    """
  return _bt848.tuner_brightness(*args)

def tuner_contrast_set(*args):
  """
    tuner_contrast_set(int contrast) -> int

    Set contrast, 0 to 100. Returns -1 on failure.
    """
  return _bt848.tuner_contrast_set(*args)

def tuner_contrast(*args):
  """
    tuner_contrast() -> int

    Get contrast. Returns percentage, or -1 on failure.
    """
  return _bt848.tuner_contrast(*args)

def tuner_color_set(*args):
  """
    tuner_color_set(int color) -> int

    Set color, 0 (green) to 100 (red). Returns -1 on failure.
    """
  return _bt848.tuner_color_set(*args)

def tuner_color(*args):
  """
    tuner_color() -> int

    Get color. Returns percentage, or -1 on failure.
    """
  return _bt848.tuner_color(*args)

def tuner_saturation_set(*args):
  """
    tuner_saturation_set(int saturation) -> int

    Set saturation, 0 to 100. Returns -1 on failure.
    """
  return _bt848.tuner_saturation_set(*args)

def tuner_saturation(*args):
  """
    tuner_saturation() -> int

    Get saturation. Returns percentage, or -1 on failure.
    """
  return _bt848.tuner_saturation(*args)


